QGIS Application - Bug report #3917
QgsGeometryVertexindex::operator= must return a value
2006-03-24 01:51 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13941
Description

Small bug in file gqgsgeometryvertexindex.cpp (revision 4502), lines 31-34: QgsGeometryVertexIndex::operator= must return a
value.

Current incomplete version:

[[QgsGeometryVertexindex]]&
[[QgsGeometryVertexIndex]]::operator=(QgsGeometryVertexindex const& rhs)

{

mindex = rhs.mindex;

}

Possible min. required fix:

[[QgsGeometryVertexIndex]]&
[[QgsGeometryVertexIindex]]::operator=(QgsGeometryVertexIndex const& rhs)
{

mindex = rhs.mindex;

return *this

}

But I'm not sure what copy semantic is expected here.
What about self-copying?
Usually, self-copying is forbidden, then

[[QgsGeometryVertexindex]]&
[[QgsGeometryVertexIndex]]::operator=(QgsGeometryVertexindex
const& rhs)
{

if (&rhs != this)

{

mindex = rhs.mIndex;

}

return *this

}
History

#1 - 2006-03-25 05:02 PM - Gary Sherman
- Resolution set to fixed
- Status changed from Open to Closed

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
